# MAT_PARTITIONING_Party

Creates a partitioning context via the external package Party.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningCreate_Party(MatPartitioning part)

Collective on MPI_Comm

### Input Parameter

part -the partitioning context

### Options Database Keys

| -mat_partitioning_party_global <gcf,gbf>: Global method to use (MatPartitioningPartySetGlobal) | - . -mat_partitioning_party_local <kl>: Local method to use (MatPartitioningPartySetLocal)
| -mat_partitioning_party_coarse_level <0>: Coarse level (MatPartitioningPartySetCoarseLevel) | - . -mat_partitioning_party_match_optimization: <true> Matching optimization on/off (boolean) (MatPartitioningPartySetMatchOptimization)
| -mat_partitioning_party_bipart: <true> Bipartitioning option on/off (boolean) (MatPartitioningPartySetBipart) | -

Notes: See http://wwwcs.upb.de/fachbereich/AG/monien/RESEARCH/PART/party.html

### Keywords

Partitioning, create, context

### See Also

MatPartitioningSetType(), MatPartitioningType

Level:beginner
Location: src/mat/partition/impls/party/party.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages